Irrlicht Engine: irr::core::list< T >::Iterator Class Reference

Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::core::list< T >::Iterator Class Reference

List iterator. More...

`#include <irrList.h>`

List of all members.

## Public Member Functions
| Iterator ()
bool | operator!= (const ConstIterator &other) const
bool | operator!= (const Iterator &other) const
T & | operator* ()
Iterator | operator+ (s32 num) const
Iterator | operator++ (s32)
Iterator & | operator++ ()
Iterator & | operator+= (s32 num)
Iterator | operator- (s32 num) const
Iterator | operator-- (s32)
Iterator & | operator-- ()
Iterator & | operator-= (s32 num) const
T * | operator-> ()
bool | operator== (const ConstIterator &other) const
bool | operator== (const Iterator &other) const
## Friends
class | ConstIterator
class | list< T >

## Detailed Description

### template<class T>
class irr::core::list< T >::Iterator

List iterator.

Definition at line 38 of file irrList.h.

## Constructor & Destructor Documentation

template<class T>

irr::core::list< T >::Iterator::Iterator | ( |  | ) | `[inline]`

Definition at line 41 of file irrList.h.

## Member Function Documentation

template<class T>

bool irr::core::list< T >::Iterator::operator!= | ( | const ConstIterator & | other | ) | const`[inline]`

Definition at line 68 of file irrList.h.

template<class T>

bool irr::core::list< T >::Iterator::operator!= | ( | const Iterator & | other | ) | const`[inline]`

Definition at line 66 of file irrList.h.

template<class T>

T& irr::core::list< T >::Iterator::operator* | ( |  | ) | `[inline]`

Definition at line 74 of file irrList.h.

template<class T>

Iterator irr::core::list< T >::Iterator::operator+ | ( | s32 | num | ) | const`[inline]`

Definition at line 61 of file irrList.h.

template<class T>

Iterator irr::core::list< T >::Iterator::operator++ | ( | s32 |  | ) | `[inline]`

Definition at line 45 of file irrList.h.

template<class T>

Iterator& irr::core::list< T >::Iterator::operator++ | ( |  | ) | `[inline]`

Definition at line 43 of file irrList.h.

template<class T>

Iterator& irr::core::list< T >::Iterator::operator+= | ( | s32 | num | ) | `[inline]`

Definition at line 48 of file irrList.h.

template<class T>

Iterator irr::core::list< T >::Iterator::operator- | ( | s32 | num | ) | const`[inline]`

Definition at line 63 of file irrList.h.

template<class T>

Iterator irr::core::list< T >::Iterator::operator-- | ( | s32 |  | ) | `[inline]`

Definition at line 46 of file irrList.h.

template<class T>

Iterator& irr::core::list< T >::Iterator::operator-- | ( |  | ) | `[inline]`

Definition at line 44 of file irrList.h.

template<class T>

Iterator& irr::core::list< T >::Iterator::operator-= | ( | s32 | num | ) | const`[inline]`

Definition at line 62 of file irrList.h.

template<class T>

T* irr::core::list< T >::Iterator::operator-> | ( |  | ) | `[inline]`

Definition at line 75 of file irrList.h.

template<class T>

bool irr::core::list< T >::Iterator::operator== | ( | const ConstIterator & | other | ) | const`[inline]`

Definition at line 67 of file irrList.h.

template<class T>

bool irr::core::list< T >::Iterator::operator== | ( | const Iterator & | other | ) | const`[inline]`

Definition at line 65 of file irrList.h.

## Friends And Related Function Documentation

template<class T>

friend class ConstIterator`[friend]`

Definition at line 83 of file irrList.h.

template<class T>

friend class list< T >`[friend]`

Definition at line 82 of file irrList.h.

The documentation for this class was generated from the following file:

- irrList.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:03 2010 by Doxygen (1.6.2)